Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 05-01-2017 13:24:30

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Testing Stretch + Jessie
Noyau : Linux 4.8.0-1-amd64 + Linux 3.16.0-4-amd64
(G)UI : Mate et Gnome 3.18.2
Inscription : 07-01-2012

inkscape 0.91 planté [Résolu] - installation de la version 0.92

J'ai un problème, avec Inkscape sous Jessie, il est planté, et bien planté . je n'arrive pas à le fermer, souvent il suffit d'attendre une nuit et d'essayer de le fermer le lendemain en cliquant par exemple à plusieurs reprises sur la croix pour que Gnome (si c'est bien) lui affiche  "Forcer à quitter ?" Mais cette fois ça ne colle pas et de toute façon cela risque fortement de tout fermer.

Mon problème est le suivant , j'ai ouvert trois documents différents dans inkscape, seul l'un deux est enregistré !

Je sais bien que ce n'est pas très prudent d'ouvrir trois fichiers différents en même temps et d'y travailler sans faire de sauvegarde de temps en temps, mais je suis comme ça : un peu bordélique et pas trop disicipliné,
d'habitude je m'efforce d’enregistrer mon fichier dès le début et j'arrive à retrouver des trucs dans le /tmp

Inkscape est ouvert sous le seul  processus

 5662  0.8  2.8 1375392 466692 ?      Sl   janv.02  35:42 inkscape


, donc si j'utilise kill, je tue l'ensemble de mes trois fichiers en même temps et j'en perds deux  dont un qui m'ennuierais beaucoup.

Me reste t il encore un moyen de m'en sortir ?
Et comme on est en début d'année quelles seraient les bonnes résolutions à prendre pour éviter de me retrouver confronté à ce problème,
Par exemple : créer des enregistrement périodiques automatiques ?
Guppy

Dernière modification par Guppy88 (06-01-2017 21:51:26)

Hors ligne

#2 05-01-2017 15:11:08

sogal
Black Metal Modo
Lieu : Nord Isère
Distrib. : openSUSE Leap 42.2
Noyau : Linux 4.4.36
(G)UI : Gnome
Inscription : 09-05-2013
Site Web

Re : inkscape 0.91 planté [Résolu] - installation de la version 0.92

Salut,

En effet, s'il n'y a qu'un processus et que tu le tues, tous les documents se fermeront.

Tu peux aussi faire usage de la commande

xkill


Il te suffit de la lancer puis de cliquer sur la fenêtre bloquée pour que celle-ci soit détruite.

Il faudrait savoir ce qui provoque le soucis :
- Si ça vient de fichiers en particulier, je te recommande l'usage de svgcleaner : https://github.com/RazrFalcon/svgcleaner-gui/releases pour nettoyer ces fichiers de certaines descriptions problématiques (travaille sur une copie par prudence).
- Sinon, en déplaçant ou supprimant le dossier $HOME/.config/inkscape, certains problèmes de plantage à répétition (à l'ouverture d'inkscape souvent) peuvent être résolus.

Bon courage.


1485418338.png Hello IT ! Have you tried turning it off and on again ?

Hors ligne

#3 05-01-2017 22:33:08

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Testing Stretch + Jessie
Noyau : Linux 4.8.0-1-amd64 + Linux 3.16.0-4-amd64
(G)UI : Mate et Gnome 3.18.2
Inscription : 07-01-2012

Re : inkscape 0.91 planté [Résolu] - installation de la version 0.92

Merci pour tes indications. 
Je ne connaissais pas la commande xkill, elle me parait meilleure que la commande Alt F2 qui ouvre une boite de dialogue, ou je tape  gnome-systeme-monitor.
Une fenêtre s'ouvre et me permet de choisir dans la liste des processus qu'elle affiche celui que je veux tuer en le cochent et en cliquant sur un bouton supprimer. Il tuerait les trois fenêtres en même temps.
Ce doit être seulement un outil gnome.
L'autre commande que j'utilisais est

ps aux

, qui donne la liste des processus en cours, et permet de savoir lequel il faut tuer.

Mais j'ai résolu le problème autrement. J'ai ouvert une quatrième fenêtre que j'ai quittée. Cela a suffit à réveiller les trois autres qui sont redevenues actives.

Je n'ai pas rencontré de plantage à l'ouverture d'inkscape, je crois plutôt qu'il n'aime pas trop que l'on saute trop souvent d'un fichier à l'autre et de temps en temps ça doit le bloquer quelque part.
Ce n'est pas très fréquent non plus.  De plus cela concerne plus Jessie que Stretch.

Et le problème sera alors résolu parce que j'installerai Buster à sa place dès que Stretch deviendra la version stable.
Guppy

Hors ligne

#4 05-01-2017 23:11:12

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : inkscape 0.91 planté [Résolu] - installation de la version 0.92

Bonsoir, j'ai une mise à jour ce soir sur jessie.
j'ose pas le faire hmm

Les paquets suivants seront mis à jour :
  inkscape libgd3 libpcsclite1



EDIT : J'ai celle des backports.

Dernière modification par golgot200 (05-01-2017 23:13:45)


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#5 06-01-2017 00:08:04

Mercredi
Membre
Distrib. : Testing
Noyau : 4.9
(G)UI : Gnome
Inscription : 25-09-2015
Site Web

Re : inkscape 0.91 planté [Résolu] - installation de la version 0.92

Bonsoir,

0.91.12 d'après https://packages.debian.org/search?keyw … lla-search, c'est la même version pour Stretch/Testing et je n'ai pas de soucis avec par contre je travaille rarement sur plusieurs instances Inkscape en même temps.

Si ça peut aider ...

De toutes les forces de l'univers, la plus dure à surmonter, c'est la force de l'habitude. T.Pratchett - Trois Soeurcières.

Hors ligne

#6 06-01-2017 02:15:39

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Testing Stretch + Jessie
Noyau : Linux 4.8.0-1-amd64 + Linux 3.16.0-4-amd64
(G)UI : Mate et Gnome 3.18.2
Inscription : 07-01-2012

Re : inkscape 0.91 planté [Résolu] - installation de la version 0.92

Selon synaptic c'est bien la version 0.91.12 qui est la dernière et c'est également celle qui est installée sur Stretch,  mais  inkscape lui même se déclare comme étant la 0.91 r13725 .
Guppy
Le site inkscape précise qu'elle est disponible pour quelques distributions spécifiques, et pour Debian c'est la "0.91 available in testing; or in stable via backports"
Mais la toute dernière version stable est la 0.92 du 01/01/2017 disponible sous Windows

Dernière modification par Guppy88 (06-01-2017 02:48:40)

Hors ligne

#7 06-01-2017 10:49:49

robert2a
Membre
Lieu : France
Distrib. : Stretch 9.0
Noyau : Linux 4.9.0-2-amd64
(G)UI : Mate 1.16.1 Nvidia 375.39-1 Cuda 8.0.44-3
Inscription : 15-11-2014

Re : inkscape 0.91 planté [Résolu] - installation de la version 0.92

Bonjour
tu a testé la version 0.92 d' expérimental ?    => https://packages.debian.org/fr/experimental/inkscape

En ligne

#8 06-01-2017 20:27:12

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Testing Stretch + Jessie
Noyau : Linux 4.8.0-1-amd64 + Linux 3.16.0-4-amd64
(G)UI : Mate et Gnome 3.18.2
Inscription : 07-01-2012

Re : inkscape 0.91 planté [Résolu] - installation de la version 0.92

Non, je l'ai téléchargé fichier , mais je ne sais pas comment l'installer.
Quand je clique sur le fichier inkscape_0.92.0-1amd64.deb Gnome ouvre automatiquement une fenêtre pour extraire les fichiers téléchargés, mais cela ne me donne pas de fichiers exécutables que je pourrais lancer.
Pour ne pas interférer avec l'actuelle version j'ai extrait les fichiers dans un répertoire Inkscape 0.92 sur le bureau. J'y trouve bien un répertoire /./usr/bin/ mais il ne comprends que deux fichiers de type : Inconnu.
Si je clique sur celui qui s'appelle inkscape, il ouvre une boite avec

Échec du chargement du fichier /home/guppy/.cache/.fr-oZOxin/usr/bin/inkscape

et après la fermeture de cette boite de message c'est la version 0.91 qui s'ouvre.

bon je l'ai installé avec

  dpkg -i inkscape_0.92.0-1amd64.deb

  après relecture j'ai rajouté la commande qui avait disparu.

 le paquet libprotrace0 n'est pas installé

Je l'ai trouvé dans synaptic et lui ai demandé de le faire

Une fois ce fichier installé, j'ai réessayé d'ouvrir inkscape en cherchant inkscape dans le répertoire /./usr/bin/  qui me répond

Échec du chargement du fichier /home/guppy/Bureau/inkscape 0.92/usr/bin/inkscape


Mais quand je ferme la boite de dialogue, il ouvre un document vierge inkscape et c'est bien la 0.92

Bon j'aurais du taper la commande depuis le répertoire inkscape 092 que j’ai précédemment crée, plutôt que depuis le répertoire téléchargements.
Je vais tâcher de réparer cela et tester la 0.92
inksca10.jpg
Guppy

Dernière modification par Guppy88 (07-01-2017 02:28:35)

Hors ligne

#9 07-01-2017 08:18:56

robert2a
Membre
Lieu : France
Distrib. : Stretch 9.0
Noyau : Linux 4.9.0-2-amd64
(G)UI : Mate 1.16.1 Nvidia 375.39-1 Cuda 8.0.44-3
Inscription : 15-11-2014

Re : inkscape 0.91 planté [Résolu] - installation de la version 0.92

Bonjour
une méthode est d utilisé les options -s et -t a partir du dépot expérimental
tu ajoute la ligne "http://ftp.fr.debian.org/debian/ experimental main contrib non-free"  a ton "sources.list"
puis tu simule


apt-get update
 



apt-get -s install -t experimental inkscape
 


ce qui te donnera les paquets a mettre a jour et un éventuel problème de dépendances .
si tout va bien


apt-get install -t experimental inkscape
 



voila ce que donne la simulation chez moi sur une testing

apt-get -s install -t experimental inkscape


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
The following additional packages will be installed:
  fig2dev gawk imagemagick imagemagick-6-common imagemagick-6.q16 libgsl2 libgtkspell0 libilmbase12 libimage-magick-perl libimage-magick-q16-perl libjxr-tools libjxr0
  liblqr-1-0 libmagickcore-6.q16-2 libmagickcore-6.q16-2-extra libmagickwand-6.q16-2 libnetpbm10 libopenexr22 libpotrace0 libwmf-bin libwmf0.2-7 netpbm python-bs4
  python-html5lib python-lxml python-webencodings transfig
Paquets suggérés :
  xfig gawk-doc imagemagick-doc autotrace cups-bsd | lpr | lprng curl enscript gimp gnuplot grads graphviz hp2xx html2ps mplayer povray radiance texlive-base-bin ufraw-batch
  dia | dia-gnome libsvg-perl libxml-xql-perl pstoedit python-uniconvertor gsl-ref-psdoc | gsl-doc-pdf | gsl-doc-info | gsl-ref-html python-genshi python-lxml-dbg
  python-lxml-doc
Les NOUVEAUX paquets suivants seront installés :
  fig2dev gawk imagemagick imagemagick-6-common imagemagick-6.q16 inkscape libgsl2 libgtkspell0 libilmbase12 libimage-magick-perl libimage-magick-q16-perl libjxr-tools libjxr0
  liblqr-1-0 libmagickcore-6.q16-2 libmagickcore-6.q16-2-extra libmagickwand-6.q16-2 libnetpbm10 libopenexr22 libpotrace0 libwmf-bin libwmf0.2-7 netpbm python-bs4
  python-html5lib python-lxml python-webencodings transfig
0 mis à jour, 28 nouvellement installés, 0 à enlever et 196 non mis à jour.
Inst gawk (1:4.1.3+dfsg-0.1+b1 Debian:testing [amd64])
Inst imagemagick-6-common (8:6.9.6.6+dfsg-1 Debian:testing [all])
Inst liblqr-1-0 (0.4.2-2 Debian:testing [amd64])
Inst libmagickcore-6.q16-2 (8:6.9.6.6+dfsg-1 Debian:testing [amd64])
Inst libimage-magick-q16-perl (8:6.9.6.6+dfsg-1 Debian:testing [amd64])
Inst libimage-magick-perl (8:6.9.6.6+dfsg-1 Debian:testing [all])
Inst libmagickwand-6.q16-2 (8:6.9.6.6+dfsg-1 Debian:testing [amd64])
Inst fig2dev (1:3.2.6-3 Debian:testing [amd64])
Inst imagemagick-6.q16 (8:6.9.6.6+dfsg-1 Debian:testing [amd64])
Inst imagemagick (8:6.9.6.6+dfsg-1 Debian:testing [amd64])
Inst libgsl2 (2.3+dfsg-1 Debian:testing [amd64])
Inst libgtkspell0 (2.0.16-1.1 Debian:testing [amd64])
Inst libpotrace0 (1.13-2 Debian:testing [amd64])
Inst inkscape (0.92.0-1 Debian:experimental [amd64])
Inst libilmbase12 (2.2.0-11 Debian:testing [amd64])
Inst libjxr0 (1.1-6 Debian:testing [amd64])
Inst libjxr-tools (1.1-6 Debian:testing [amd64])
Inst libopenexr22 (2.2.0-11 Debian:testing [amd64])
Inst libwmf0.2-7 (0.2.8.4-10.6 Debian:testing [amd64])
Inst libmagickcore-6.q16-2-extra (8:6.9.6.6+dfsg-1 Debian:testing [amd64])
Inst libnetpbm10 (2:10.0-15.3+b1 Debian:testing [amd64])
Inst libwmf-bin (0.2.8.4-10.6 Debian:testing [amd64])
Inst netpbm (2:10.0-15.3+b1 Debian:testing [amd64])
Inst python-bs4 (4.5.1-1 Debian:testing [all])
Inst python-webencodings (0.5-1 Debian:testing [all])
Inst python-html5lib (0.999999999-1 Debian:testing [all])
Inst python-lxml (3.6.4-1 Debian:testing [amd64])
Inst transfig (1:3.2.6-3 Debian:testing [all])
Conf gawk (1:4.1.3+dfsg-0.1+b1 Debian:testing [amd64])
Conf imagemagick-6-common (8:6.9.6.6+dfsg-1 Debian:testing [all])
Conf liblqr-1-0 (0.4.2-2 Debian:testing [amd64])
Conf libmagickcore-6.q16-2 (8:6.9.6.6+dfsg-1 Debian:testing [amd64])
Conf libimage-magick-q16-perl (8:6.9.6.6+dfsg-1 Debian:testing [amd64])
Conf libimage-magick-perl (8:6.9.6.6+dfsg-1 Debian:testing [all])
Conf libmagickwand-6.q16-2 (8:6.9.6.6+dfsg-1 Debian:testing [amd64])
Conf fig2dev (1:3.2.6-3 Debian:testing [amd64])
Conf imagemagick-6.q16 (8:6.9.6.6+dfsg-1 Debian:testing [amd64])
Conf imagemagick (8:6.9.6.6+dfsg-1 Debian:testing [amd64])
Conf libgsl2 (2.3+dfsg-1 Debian:testing [amd64])
Conf libgtkspell0 (2.0.16-1.1 Debian:testing [amd64])
Conf libpotrace0 (1.13-2 Debian:testing [amd64])
Conf inkscape (0.92.0-1 Debian:experimental [amd64])
Conf libilmbase12 (2.2.0-11 Debian:testing [amd64])
Conf libjxr0 (1.1-6 Debian:testing [amd64])
Conf libjxr-tools (1.1-6 Debian:testing [amd64])
Conf libopenexr22 (2.2.0-11 Debian:testing [amd64])
Conf libwmf0.2-7 (0.2.8.4-10.6 Debian:testing [amd64])
Conf libmagickcore-6.q16-2-extra (8:6.9.6.6+dfsg-1 Debian:testing [amd64])
Conf libnetpbm10 (2:10.0-15.3+b1 Debian:testing [amd64])
Conf libwmf-bin (0.2.8.4-10.6 Debian:testing [amd64])
Conf netpbm (2:10.0-15.3+b1 Debian:testing [amd64])
Conf python-bs4 (4.5.1-1 Debian:testing [all])
Conf python-webencodings (0.5-1 Debian:testing [all])
Conf python-html5lib (0.999999999-1 Debian:testing [all])
Conf python-lxml (3.6.4-1 Debian:testing [amd64])
Conf transfig (1:3.2.6-3 Debian:testing [all])
 


nota : j ai le serveur X qui est étiqueté (version bloquée ) pour garder le driver nonfree 367.xx  ( au lieu de 375.xx ) d ou les paquets non mit a jour
sinon l installation de la version 0.92 n a pas l air de poser problème

Edit à toto :
Séparé la commande de son retour pour faciliter la lecture aux plus débutants.

Edit à robert :
@toto tu a raison  wink

Dernière modification par robert2a (07-01-2017 10:34:42)

En ligne

#10 07-01-2017 11:58:47

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Testing Stretch + Jessie
Noyau : Linux 4.8.0-1-amd64 + Linux 3.16.0-4-amd64
(G)UI : Mate et Gnome 3.18.2
Inscription : 07-01-2012

Re : inkscape 0.91 planté [Résolu] - installation de la version 0.92

C'est vraiment une nouvelle version, avec pas mal de changement, dont un que je souhaitais et qui s'appelle en français le filet de dégradé..
Le dégradé de couleurs peut désormais s'effectuer avec un filet comme cela par exemple, je vais tester cela sur la représentation d'un oeil.

filet_11.png filet_10.png
Edit : Après plusieurs autres tests il fait encore bien plus que je ne l’espérais.on peut presque faire en seule fois ce qui je faisais par un empilement de formes dégradées.
J'ai vu qu'il y avait un outil sur la typographie qui me semble particulièrement complexe et qu'il va falloir que j'étudie d'un peu plus près les règles de la typographie pour l'utiliser correctement.
Guppy

Dernière modification par Guppy88 (07-01-2017 14:40:19)

Hors ligne

#11 16-01-2017 11:30:56

Mercredi
Membre
Distrib. : Testing
Noyau : 4.9
(G)UI : Gnome
Inscription : 25-09-2015
Site Web

Re : inkscape 0.91 planté [Résolu] - installation de la version 0.92

Ayé, la 0.92 est arrivée dans Stretch smile

De toutes les forces de l'univers, la plus dure à surmonter, c'est la force de l'habitude. T.Pratchett - Trois Soeurcières.

Hors ligne

#12 25-01-2017 10:55:34

Odysseus
Membre
Lieu : Belgique
Distrib. : Jessie & Stretch
(G)UI : xfce
Inscription : 27-04-2013
Site Web

Re : inkscape 0.91 planté [Résolu] - installation de la version 0.92

Attention il semblerait qu'il y ait des soucis, notamment avec les travaux effectués avec les versions précédentes dixit David Revoy :
http://www.peppercarrot.com/kr/article3 … h-inkscape

Hors ligne

#13 25-01-2017 13:04:30

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : inkscape 0.91 planté [Résolu] - installation de la version 0.92

Odysseus a écrit :

Attention il semblerait qu'il y ait des soucis, notamment avec les travaux effectués avec les versions précédentes dixit David Revoy :
http://www.peppercarrot.com/kr/article3 … h-inkscape



Houlà, pas bon tout ça hmm


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#14 25-01-2017 14:55:24

sogal
Black Metal Modo
Lieu : Nord Isère
Distrib. : openSUSE Leap 42.2
Noyau : Linux 4.4.36
(G)UI : Gnome
Inscription : 09-05-2013
Site Web

Re : inkscape 0.91 planté [Résolu] - installation de la version 0.92

Oui, un petit (gros !) soucis de rétro compatibilité dans la gestion des espacements. C'est hallucinant et un peu dommage, surtout qu'il n'y a pas vraiment de solution de transition douce proposée.
Dans le fil du retour de bug de David Revoy, un dev précise qu'il y aura peut-être un truc du genre dans une des point releases.
Bref, il me semble bon d'attendre au moins la 0.92.2 pour continuer à exploiter des travaux importants contenant du texte.

1485418338.png Hello IT ! Have you tried turning it off and on again ?

Hors ligne

#15 25-01-2017 17:31:25

Mercredi
Membre
Distrib. : Testing
Noyau : 4.9
(G)UI : Gnome
Inscription : 25-09-2015
Site Web

Re : inkscape 0.91 planté [Résolu] - installation de la version 0.92

Faites gaffe aussi si vous avez des pavages de clones dans vos ouvrages ... deviennent plus petits et un peu tordus, m'en suis aperçue à l'impression hmm
Heureusement que la case "créer un fichier de sauvegarde est pré-cochée". Pour une fois ça sauve.

De toutes les forces de l'univers, la plus dure à surmonter, c'est la force de l'habitude. T.Pratchett - Trois Soeurcières.

Hors ligne

Pied de page des forums